Subject: Follow-up from NomCom advisor discussion

From: "STARK, BARBARA H" <[email-masked]>
Date: Thu, 23 Jul 2020 21:45:04 +0000

NomCom has not approved Suresh or Henrik as Advisors per RFC8713.
The main sticking point is the following language in RFC8713 section 4.3:
   The Chair, liaisons, and advisors do not vote on the selection of
   candidates.  They do vote on all other issues before the committee
   unless otherwise specified in this document.

With the addition of liaisons from every I*, adding Henrik and Suresh would have caused there to be 9 people on NomCom who could influence procedures -- potentially in ways that were undesirable to a majority of the 10 Voting Members. This idea made some people uncomfortable.

While the current NomCom will operate under RFC8713 as is, I was wondering if the ietf list might not enjoy discussing how and whether to resolve this for future NomComs. A thought I had was: Is it really necessary for Advisors to have voting privileges "on all other issues before the committee"?
Thx,
Barbara

---

From: Joel Halpern <[email-masked]>
Date: Thu, 23 Jul 2020 18:42:55 -0400

Without speaking to the general question, I may be able to provide some 
useful perspective on why the rules were written the way they were.
The original liaisons all have a multi-part role wherein they provide 
information to the nomcom and also provide feedback to the respective 
approving body that the process was properly carried out.  As such, it 
was felt that they needed to be able to have a say in how the process 
was run,, with a particular eye towards making sure that they were able 
to observe enough of it to be able to provide their reports.

Clearly, that reporting role does not apply to liaisons from the LLC or 
the Trust, or the tools advisor.  Or another advisor whoe involvement is 
requested by the committee.

I would observe that for an advisor invited by the committee to provide 
assistance, it does seem likely that they need to be able to understand 
the process so as to give useful advice.

One could I suppose differentiate the various categories and write 
different rules for them.

Yours,
Joel

---

From: "Martin Thomson" <[email-masked]>
Date: Fri, 24 Jul 2020 10:09:07 +1000

> the process so as to give useful advice.

Understand perhaps, but maybe not influence.  I totally understand the reticence here.  Maybe member = vote, liaison = vote on produral matters only, advisor = no voting.

---

From: Brian E Carpenter <[email-masked]>
Date: Fri, 24 Jul 2020 14:05:39 +1200

On 24-Jul-20 12:09, Martin Thomson wrote:
> Understand perhaps, but maybe not influence.  I totally understand the reticence here.  Maybe member = vote, liaison = vote on produral matters only, 

Why? I was a NomCom liaison only once, but that year's NomCom chair wanted to use Condorcet voting, so that required a formal procedural decision. I couldn't see any reason why that was a choice that a liaison should influence. What sort of procedural matters require a formal decision *and* are appropriate for a liaison to influence?

Clearly we aren't talking about trivia like setting meeting times or deciding whether to use Zoom or Whereby. So what are we talking about?

> advisor = no voting.

Agreed, no-brainer.

   Brian

---

From: "Martin Thomson" <[email-masked]>
Date: Fri, 24 Jul 2020 12:14:29 +1000

On Fri, Jul 24, 2020, at 12:05, Brian E Carpenter wrote:
> Why? I was a NomCom liaison only once, but that year's NomCom chair 
> wanted to use Condorcet voting, so that required a formal procedural 
> decision. I couldn't see any reason why that was a choice that a 
> liaison should influence. What sort of procedural matters require a 
> formal decision *and* are appropriate for a liaison to influence?

I was merely trying to preserve what I think was a deliberate choice to the extent possible.  I am inclined to agree with you.  It would be fair to change this to say that the only non-voting entity that should have a say in procedural matters is the chair, but only because they are obliged to administer the process.

That said, if the NomCom were to decide that the procedure for choosing IETF chair was to blindfold each person and have them pin something to pictures of nominees, akin to the children's party game of pin the tail on the donkey, I can see why liaisons might want to have a say in that.  That might be better dealt with by including that in a report to a confirming body.  I don't know if it is explicitly permitted to report on the procedure used.  I consider it a central function of the liaison, and certainly did so when acting as liaison.

---

From: Joel Halpern <[email-masked]>
Date: Thu, 23 Jul 2020 22:21:34 -0400

The primary procedural vote that the liaisons need a say (no more than 
anyone else, but no less) is when the non-face-to-face meetings occur. 
I suppose also if there were sub-groups, that could be relevant.  (I do 
not know of a nomcom that did this other than for interviews.)

All of the other procedural matters I can think of are things where if 
handled sufficiently badly, they merely become fodder for the liaisons' 
report to the confirming bodies about the quality of the process.

Yours,
Joel

---

From: Joel Halpern <[email-masked]>
Date: Thu, 23 Jul 2020 22:25:23 -0400

There is one other aspect that occurs to me.
While the current nomcom is apparently concerned about the voting 
participation, the degree to which liaisons and advisors participate in 
discussions can easily be a much bigger issue than any factor of voting 
on procedural matters.

Yours,
Joel

---

From: Melinda Shore <[email-masked]>
Date: Thu, 23 Jul 2020 22:37:22 -0800

On 7/23/20 6:14 PM, Martin Thomson wrote:
> That said, if the NomCom were to decide that the procedure for
> choosing IETF chair was to blindfold each person and have them pin
> something to pictures of nominees, akin to the children's party game
> of pin the tail on the donkey, I can see why liaisons might want to
> have a say in that.  That might be better dealt with by including
> that in a report to a confirming body. 

Indeed.

I was IAB liaison a few years ago and stayed out (or tried to stay
out) of the decision-making process.  It seems to me to be important
to avoid creating processes that are effectively closed and/or uniform,
and nomcom is one of the most obvious places in the IETF where that
can happen.  I think it's valuable to give them space to breathe
and to deal with any gross irregularities during the confirmation
process.

Melinda

-- 
Melinda Shore
[email-masked]

Software longa, hardware brevis

---

From: Samuel Weiler <[email-masked]>
Date: Fri, 24 Jul 2020 09:57:20 -0400 (EDT)

Thank you for following the RFC8713 process and seeking the NomCom's 
approval of the proposed advisors.

I trust that you and the Nomcom will still get useful help and advice 
from Henrik and Suresh, even with them outside the official NomCom 
circle, and I am confident that this NomCom will succeed.

-- Sam

On Thu, 23 Jul 2020, STARK, BARBARA H wrote:

> With the addition of liaisons from every I*, adding Henrik and 
> Suresh would have caused there to be 9 people on NomCom who could 
> influence procedures -- potentially in ways that were undesirable to 
> a majority of the 10 Voting Members. This idea made some people 
> uncomfortable.

---

From: Bob Hinden <[email-masked]>
Date: Fri, 24 Jul 2020 08:36:19 -0700

Melinda,

> On Jul 23, 2020, at 11:37 PM, Melinda Shore <[email-masked]> wrote:
> 

I agree.

I think about this as liaisons are there to answer questions about the group they are from (and report back on the process to their groups), but otherwise should not be speaking.   Otherwise, they are having an undue influence on the NomCom process.

Bob

---

From: Mary B <[email-masked]>
Date: Fri, 24 Jul 2020 10:46:42 -0500

I totally agree - that's how it was when I was Nomcom chair and how I
personally think it should be.  If liaisons have input on nominees, that
should go into the tool as feedback from a community member.   And,
depending upon the nature of the feedback, recuse themselves from being
present during discussions.

Regards,
Mary.

On Fri, Jul 24, 2020 at 10:36 AM Bob Hinden <[email-masked]> wrote:

> I think about this as liaisons are there to answer questions about the
> group they are from (and report back on the process to their groups), but
> otherwise should not be speaking.   Otherwise, they are having an undue
> influence on the NomCom process.
>
> Bob
>
>
>
>

---

From: "STARK, BARBARA H" <[email-masked]>
Date: Fri, 24 Jul 2020 16:28:50 +0000

> From: Samuel Weiler <[email-masked]>
> 

While I do think we will succeed, early indications are the NomCom will be somewhat hamstrung by the inability to bring in advisors. I strongly suspect the language in RFC8713 that grants voting privilege to all people brought in as advisors (to provide expert knowledge, skills, and guidance in any area where the NomCom may not natively have these ) will effectively prevent anyone from ever being brought in as an advisor. 

I'm wondering if it might be possible to file an erratum to get this immediate problem fixed in RFC8713?
Something like:
s/The Chair, liaisons, and advisors do not vote on the selection of
   candidates.  They do vote on all other issues before the committee
   unless otherwise specified in this document./
   The Chair, liaisons, and advisors do not vote on the selection of
   candidates.  The Chair, liaisons and prior year's Chair do vote on all other issues before the committee
   unless otherwise specified in this document. No other advisor votes./

Just a thought. I really dislike operating in a kludgy and inefficient way. It's obvious we need Henrik's help. This voting clause is really standing in the way of efficient operation, and potential advisors aren't saying "I refuse to advise unless I get to vote on procedural issues".
Barbara

---

From: "Salz, Rich" <[email-masked]>
Date: Fri, 24 Jul 2020 16:39:52 +0000

As I read RFC 8713, in particular 4.9, can't you invite someone to be an advisor, and that part of their duties are to abstain from all votes?

---

From: Victor Kuarsingh <[email-masked]>
Date: Fri, 24 Jul 2020 12:46:52 -0400

Rich,

I think one of the challenges here may be that they still are counted
towards quarrom.   Also, what if there are 2 advisors, one which has the
duties specified as to not vote, and one that does no thave the specified.
It may leave room for ambiguity.

I do agree with Barbara that we seem to have hit a challenge where the
simplicity of the rule (all members are part of the nomcom body and all
members vote on non-selection items) can be construed as a problem (not
saying it is, or is not, but at least some feel that way).

If there is way to update the text (not sure what the full
ramifications are), it may be a reasonable way to proceed.

regards,

Victor K

On Fri, Jul 24, 2020 at 12:40 PM Salz, Rich <rsalz=
[email-masked]> wrote:

> As I read RFC 8713, in particular 4.9, can't you invite someone to be an
> advisor, and that part of their duties are to abstain from all votes?
>
>
>
>

---

From: Joel Halpern <[email-masked]>
Date: Fri, 24 Jul 2020 13:48:28 -0400

As I understand the Arrata rules, no, we can not fix this with an 
erratum.  The problem is that what we want to fix is not a lack of 
clarity of the text, nor that the text does not reflect the IETF 
agreement, but rather a change to the IETF agreement.  An erratum is not 
permitted to do that.

Yours,
Joel

On 7/24/2020 12:28 PM, STARK, BARBARA H wrote:
...

---

From: John C Klensin <[email-masked]>
Date: Fri, 24 Jul 2020 14:17:08 -0400

--On Friday, July 24, 2020 08:36 -0700 Bob Hinden
<[email-masked]> wrote:

>>> That said, if the NomCom were to decide that the procedure
>>> for choosing IETF chair was to blindfold each person and
>>> have them pin something to pictures of nominees, akin to the
>>> children's party game of pin the tail on the donkey, I can
>>> see why liaisons might want to have a say in that.  That
>>> might be better dealt with by including that in a report to
>>> a confirming body.
>> 
>> Indeed.
>> 
>> I was IAB liaison a few years ago and stayed out (or tried to
>> stay out) of the decision-making process.  It seems to me to
>> be important to avoid creating processes that are effectively
>> closed and/or uniform, and nomcom is one of the most obvious
>> places in the IETF where that can happen.  I think it's
>> valuable to give them space to breathe and to deal with any
>> gross irregularities during the confirmation process.
>> 
> 
> I agree.
> 
> I think about this as liaisons are there to answer questions
> about the group they are from (and report back on the process
> to their groups), but otherwise should not be speaking.
> Otherwise, they are having an undue influence on the NomCom
> process.

This subthread opens up a relate issued that I've been avoiding
commenting on.  The original assumptions about the Nomcom was
that the number of voting members would be large in comparison
to the number of liaisons, advisors, and miscellaneous
hangers-on and that all voting Nomcom members would have a
relatively high degree of knowledge of the IETF, IAB, and their
functions and operations going in.    The analysis that Barbara
posted indicates that the number of liaisons and advisors is now
over half the size of the voting membership.  Comments that she
and others have made imply that contemporary Nomcoms are heavily
reliant on the liaisons (and any advisors who are allowed to
speak up) for information about the functioning of the relevant
bodies, what is needed in terms of people to fill positions,
etc.  That almost inevitably creates a bias toward the status
quo in those bodies: if one of them includes people who think
that the body is badly off-course and that some incumbents need
to go, the odds that such people will be selected as liaisons
are low.  As long as everything is going well everywhere, that
is fine.  

However, if there are perceptions in the community that things
are not going well -- because an incumbent has become
problematic despite possibly having a large and loud fan club,
because an area (or the entire IAB) is structured badly relative
to community needs but incumbents have been resistant to change,
or because the relevant body has gone astray (our best example
predates the Nomcom but would be the IAB during the "Kobe"
period whose behavior led to the current general structure of
the IETF)-- then there is considerable risk that the liaisons
will act as forces to resist change.  

Especially if it is time to rethink liaison or advisor roles,
what is visible to them and how much they are visible to the
Nomcom, and who determines procedures, it may be worth thinking
about those risks and what might be done to mitigate them.

    john

---

From: Mary B <[email-masked]>
Date: Fri, 24 Jul 2020 13:23:56 -0500

+1

---

From: Benjamin Kaduk <[email-masked]>
Date: Fri, 24 Jul 2020 11:25:24 -0700

> agreement, but rather a change to the IETF agreement.  An erratum is not 

That's my understanding of the Errata Report processing rules as well.
As far as I know the rest of the IESG shares it, too.

-Ben

---

From: Benjamin Kaduk <[email-masked]>
Date: Fri, 24 Jul 2020 11:30:56 -0700

Hi John,

Not to detract from the overall message, but to touch on one small point...

> are low.  As long as everything is going well everywhere, that

I'm rather curious to know how you are estimating the odds here.  From my
experience, the IESG selects its liaison to NomCom by simple procedure
of "okay, some 1 to 3 people expressed any interest at all; haggle briefly
amonst yourselves to see if you can agree on one person.  You did?
Great."  One might expect that an IESG member who actively believed there
was a need to change the course of the group as a whole might realize that
advising the NomCom of that need might be effective, and might in turn
attempt to volunteer to be liaison, in which case the odds wouldn't seem so
low at all.

Then again, one might not believe any or all of those to be the case...

-Ben

---

From: "John Levine" <[email-masked]>
Date: 24 Jul 2020 14:44:46 -0400

In article <[email-masked]> you write:
>I think about this as liaisons are there to answer questions about the group they are from (and report
>back on the process to their groups), but otherwise should not be speaking.   Otherwise, they are having
>an undue influence on the NomCom process.

I was the ISOC board liason a few years ago, with my task being to
report back and say whether the nomcom followed their processes.

At the nomcom chair's request I took notes at some of the interviews
so the committee members present could concentrate on interviewing.
When it came time to decide who to pick, I sat in the back and
listened.

R's,
John

---

From: Victor Kuarsingh <[email-masked]>
Date: Fri, 24 Jul 2020 15:15:25 -0400

John,

This is certainly a concern, however, I would point to

> about those risks and what might be done to mitigate them.

Would I be correct in interpreting this as there is premise a single
liaison can effectively overcome good and plentiful feedback made available
to the Nomcom from the community to affect a different outcome from what
the community wanted (irrespective of not having an actual selection vote)?

I guess that could happen, however, my understanding is that the confirming
body, whom would have a different liaison which reports back to that body
on the process followed, could consider this before confirmation of a
selection.

The feedback provided (which can a only be provided and/or discussed within
the Nomcom) form the community would be quite evident.  If there was a
large issue, that information would be available for consideration by the
voting members.

I would suggested we study actual outcomes from previous Nomcoms to see how
well they have made selections and/or changes during times of issue as
evidence as to the quality of the current process and setup.

Regards,

Victor K

---

From: Brian E Carpenter <[email-masked]>
Date: Sat, 25 Jul 2020 08:29:11 +1200

It's always been my understanding of the IETF process that if a process
rule defies common sense, we should ignore the rule and carry on.

So I believe that the NomCom should simply inform its advisors that
they don't get to vote on procedural issues this year. Or simply decide
not to hold any votes on procedural issues. Or whatever common sense
method allows them to have the advisors that they need.

And before next year, just remove that clause from the BCP.

Regards
   Brian Carpenter

On 25-Jul-20 04:28, STARK, BARBARA H wrote:
> .

---

From: John C Klensin <[email-masked]>
Date: Sat, 25 Jul 2020 02:08:11 -0400

--On Friday, July 24, 2020 15:15 -0400 Victor Kuarsingh
<[email-masked]> wrote:

>> because an area (or the entire IAB) is structured badly
>> relative to community needs but incumbents have been
>> resistant to change, or because the relevant body has gone
>> astray (our best example predates the Nomcom but would be the
>> IAB during the "Kobe" period whose behavior led to the
>> current general structure of the IETF)-- then there is
>> considerable risk that the liaisons will act as forces to
>> resist change.
>> 
>> Nomcom, and who determines procedures, it may be worth
>> thinking about those risks and what might be done to mitigate
>> them.

> Would I be correct in interpreting this as there is premise a
> single liaison can effectively overcome good and plentiful
> feedback made available to the Nomcom from the community to
> affect a different outcome from what the community wanted
> (irrespective of not having an actual selection vote)?

There are three presumptions / premises, neither quite like that:

* One is that we expect our various liaison-sending leadership
bodies, with the possible exception of the ISOC BoT [1] to
maintain a relatively high level of coordination and
cooperation.  That is why the IETF Chair has a voting seat on
the IAB, the IESG has a voting representative on the LLC Board,
the IAB has a liaison to the IESG, and so on.  If the views and
perspectives of the different bodies are seriously out of sync,
I'd expect that would be very clear to the community and this
concern would be moot.   But, if they are in harmony, then the
assumption of the voice of a single liaison (as in your question
above) may not be correct, with multiple liaisons advocating for
the status quo.

* But, from what I've been told by former Nomcom members, good
and plentiful feedback is often missing and, in the case of
someone controversial who has a circle of articulate supporters,
the feedback may be quite contradictory with, in a hypothetical
extreme case, comments clustered around "best ever" and "total
disaster, worst ever" and with little in between.   It is
inevitable that the Nomcom voting members are going to have a
tough time sorting those things out, but it seems clear to me
that the sorting process should not be dominated, or even
influenced, by the supposed inside knowledge of liaisons or
advisors.

With the understanding that this is no more than anecdotal and
that the people who come to me for advice may be far from the
IETF mainstream (whatever that means), I've had people come to
me with complaints about the behavior of particular IAB members
or ADs toward them, their ideas, and/or people they see as being
similar to them (demographics or employment being the most
common components if similarity).  Unless there is a
clearly-appealable action, I try to give the advice that I
believe is organizationally correct: tell it to the Nomcom and
be sure to provide specifics and sufficient detail that they can
evaluate the situation rather than just knowing that you are
unhappy.  And the response I've gotten back in several of those
cases has been "liaison X or voting member Y is the best friend
of the subject, works in the subject's department, etc., my
comments would leak, and I'd be subject to retaliation".  I try
to explain that I think it is reasonable for us to trust the
commitments to confidentiality of the Nomcom but that is rarely
believed those are comments the Nomcom isn't going to hear (and,
in addition to the liaison or advisor issue, those same kinds of
perceptions are another reason to put limits on the number of
Nomcom members from one company or organization).

* I have no idea how much or how often it has affected Nomcoms
or their discussions, but almost anyone who has studied or
observed human small group behavior knows that, especially if
other members of the group are uncertain about preferences or
best outcomes (or even trying to keep open minds), it isn't hard
for one dominant, loud personality who is very sure of their
(sic) opinions, to control the conversations.   Bullies often
win, especially if they are good at their work and the approach
is forceful and not obviously bullying.  How well that works
depends in part on the Nomcom chair and I have a lot of
confidence in Barbara but, from an organization and procedural
planning standpoint, the possible effects of one loud and
aggressive personality cannot be dismissed by saying "1 of 10".

> I guess that could happen, however, my understanding is that
> the confirming body, whom would have a different liaison which
> reports back to that body on the process followed, could
> consider this before confirmation of a selection.

Unless the confirming body's liaison, or the confirming body
itself, were part of the problem.

> The feedback provided (which can a only be provided and/or
> discussed within the Nomcom) form the community would be quite
> evident.  If there was a large issue, that information would
> be available for consideration by the voting members.

See above.  

I didn't want to go into this because I've wanted to keep my
examples either clearly hypothetical or far in the past rather
than being accused of saying bad things about incumbents.
However... 

There are people in the community who find the decision making
processes of the last five month or so to be very troubling.
The concern is not necessarily about what decisions were made,
but about whether the IESG has turned itself from a body that
does a certain amount of steering and coordinating but is
basically directed by the the rough consensus of the IETF
community into one that runs the IETF.  I think it is clear to
everyone sensible that we've faced real emergencies before IETF
107 and that quick decisions were needed.  But, at least to
those who are most worried, there seems to be a risk of
emergencies continuing.  From the perspective of some of them,
we are still operating by generating proposals top-down and then
asking for community consultations on them with the people who
generated the proposals (or authorized them) being the same ones
who will evaluate and approve the results.    It is possible,
nay likely, that there is rough consensus in the community that
the way in which things have been proceeding are fine.  But
those who believe that things are getting seriously off-track
and that we are seeing variations on behavior patterns similar
to the Kobe affair probably deserve the opportunity to make
their case to the Nomcom with minimal fear of the results being
manipulated by liaisons who are comfortable with the way
decisions are being made(because they have been part of those
decisions) or retaliation from people who disagree.
 
> I would suggested we study actual outcomes from previous
> Nomcoms to see how well they have made selections and/or
> changes during times of issue as evidence as to the quality of
> the current process and setup.

I would suggest that such a study attempt would rapidly hit a
dead end over the confidentiality rules.
 
regards,
   john

---

From: "Rob Wilton (rwilton)" <[email-masked]>
Date: Sat, 25 Jul 2020 07:00:15 +0000

+1 to Brian's comment to apply common sense and do the right thing in the short term and fix this properly for next year (if necessary).

I'm not particularly familiar with RFC 8713, but I note that section 5.7 allows the Nomcom committee to recall any members (except the chair) for any reason.

Hence, perhaps the Nomcom could appoint the advisor(s) that it needs, possibly ask them not to vote (or abstain) and rely on section 5.7 in the hypothetical, but realistically unlikely, case that the advisors try and abuse the Nomcom process.

Regards,
Rob

> -----Original Message-----
> From: ietf <[email-masked]> On Behalf Of Brian E Carpenter
> Sent: 24 July 2020 21:29
> To: STARK, BARBARA H <[email-masked]>; 'Samuel Weiler'
> <[email-masked]>
> Cc: [email-masked]' <[email-masked]>
> Subject: Re: Follow-up from NomCom advisor discussion
> 
> > While I do think we will succeed, early indications are the NomCom will
> be somewhat hamstrung by the inability to bring in advisors. I strongly
> suspect the language in RFC8713 that grants voting privilege to all people
> brought in as advisors (to provide expert knowledge, skills, and guidance
> in any area where the NomCom may not natively have these ) will
> effectively prevent anyone from ever being brought in as an advisor.
> >
> > Just a thought. I really dislike operating in a kludgy and inefficient
> way. It's obvious we need Henrik's help. This voting clause is really
> standing in the way of efficient operation, and potential advisors aren't
> saying "I refuse to advise unless I get to vote on procedural issues".
> > Barbara
> >
> >
> >>

---

From: Michael Richardson <[email-masked]>
Date: Sun, 26 Jul 2020 14:40:11 -0400

> Clearly we aren't talking about trivia like setting meeting times or
    > deciding whether to use Zoom or Whereby. So what are we talking about?

Actually, I think it is about trivia like setting meeting times.
There really aren't much that the group as a whole needs to vote on.
But, as Joel said above: it is important that meeting times are when everyone
can attend.

At the same time, if a selecting member can't attend at a particular time
then that ought to be more important than if an advisor can't attend.

Given time zones, it's hard to please everyone, but I think that as an
advisor that's one of the lumps one takes.

--
Michael Richardson <[email-masked]>, Sandelman Software Works
 -= IPv6 IoT consulting =-

---

From: Michael Richardson <[email-masked]>
Date: Sun, 26 Jul 2020 14:51:05 -0400

> suspect the language in RFC8713 that grants voting privilege to all
    > people brought in as advisors (to provide expert knowledge, skills, and
    > guidance in any area where the NomCom may not natively have these )
    > will effectively prevent anyone from ever being brought in as an
    > advisor.

I do not share the concern about the number of advisors.
There are very few important votes that involve everyone.
The major one is the proceeedures, and that vote is pretty much always
unanimous, or discussed until it is unanimous.

The rest are essentially equivalent to whether we should "break for lunch"
If there is a vote in between, odds are the advisors will abstain appropriately.

    > unless otherwise specified in this document./

So, in the last revision that Murray did, I argued that the terms be
"selecting member" and "non-selecting member"

Every single year, someone who has never been involved with the nomcom thinks
the advisors will vote on selection votes, and it's just not the case.
Often one or two voting members are confused in the beginning.
Have the past-chair explain.

---

From: Joel Halpern <[email-masked]>
Date: Sun, 26 Jul 2020 15:18:30 -0400

The more I read this discussion, the more I think we should clarify this 
somewhat.
One example that has sometimes mattered (some years it is 
non-controversial) is how the decision process to select a nominee from 
the candidates will be conducted.  While this needs to be done in sight 
of the reporting liaisons, it seems to me that they should have no say 
in the matter.  One can (and I did, many years ago) interpret the rules 
to allow the chair to say that such a vote is part of the candidate 
selection process, and therefore exclude the liaisons from voting.  But 
it is not required, and not obvious.

There are other cases that arise where votes are needed, and clarity on 
whether the laisisons or advisors can or should participate is helpful.

Note: none of this should in any way be seen as second-guessing the 
current committee.  The rules are there for a reason, and they are 
making the decision as they see best.  I am more concerned about 
forward-looking issues.

Yours,
Joel

---

From: John C Klensin <[email-masked]>
Date: Sun, 26 Jul 2020 17:44:20 -0400

Joel,

Agreed (strongly) but one clarification because I'm not sure
what you intended.  You said that the liaisons "should have no
say in" the selection/decision process.   I agree.  But we've
had periodic interpretations in the IETF (I hope never in a
Nomcom) in which recusal (or "no say") has been interpreted as
allowing free participating in discussions as long as the person
doesn't vote.  For this case, if we are clarifying things, "no
say" should mean that liaisons who are present (f2f or
electronically) for actual discussions of candidates and
candidate choices should not vote, express opinions or even
convey opinions by non-sentence sounds, facial expressions, or
body language that the voting/selecting members can observe or
interpret.   I hope it is obvious, but advisors should be at
least that restricted.

thanks,
   john

--On Sunday, July 26, 2020 15:18 -0400 Joel Halpern
<[email-masked]> wrote:

> The more I read this discussion, the more I think we should
> clarify this somewhat.
> non-controversial) is how the decision process to select a
> nominee from the candidates will be conducted.  While this
> needs to be done in sight of the reporting liaisons, it seems
> to me that they should have no say in the matter.  One can
> (and I did, many years ago) interpret the rules to allow the
> chair to say that such a vote is part of the candidate
> selection process, and therefore exclude the liaisons from
> voting.  But it is not required, and not obvious.
> 
> There are other cases that arise where votes are needed, and
> clarity on whether the laisisons or advisors can or should
> participate is helpful.
> 
> Note: none of this should in any way be seen as
> second-guessing the current committee.  The rules are there
> for a reason, and they are making the decision as they see
> best.  I am more concerned about forward-looking issues.
> 
> Yours,
> Joel
> 
>>      >> Thank you for following the RFC8713 process and
>>      >> seeking the NomCom's approval of the proposed
>>      >> advisors.
>>      >> 
>>      >> I trust that you and the Nomcom will still get useful
>>      >> help and advice from Henrik and Suresh, even with
>>      >> them outside the official NomCom circle, and I am
>>      >> confident that this NomCom will succeed.
>> 
>>      > While I do think we will succeed, early indications
>>      > are the NomCom will be somewhat hamstrung by the
>>      > inability to bring in advisors. I strongly suspect the
>>      > language in RFC8713 that grants voting privilege to all
>>      > people brought in as advisors (to provide expert
>>      > knowledge, skills, and guidance in any area where the
>>      > NomCom may not natively have these ) will effectively
>>      > prevent anyone from ever being brought in as an
>>      > advisor.
>> 
>> The major one is the proceeedures, and that vote is pretty
>> much always unanimous, or discussed until it is unanimous.
>> 
>> The rest are essentially equivalent to whether we should
>> "break for lunch" If there is a vote in between, odds are the
>> advisors will abstain appropriately.
>> 
>>      > I'm wondering if it might be possible to file an
>>      > erratum to get this immediate problem fixed in RFC8713?
>>      > Something like:
>>      > s/The Chair, liaisons, and advisors do not vote on the
>>      > selection of candidates.  They do vote on all other
>>      > issues before the committee unless otherwise specified
>>      > in this document./
>> 
>> So, in the last revision that Murray did, I argued that the
>> terms be "selecting member" and "non-selecting member"
>> 
>> Every single year, someone who has never been involved with
>> the nomcom thinks the advisors will vote on selection votes,
>> and it's just not the case. Often one or two voting members
>> are confused in the beginning. Have the past-chair explain.
>> 
>> --
>> Michael Richardson <[email-masked]>, Sandelman
>> Software Works -= IPv6 IoT consulting =-
>> 
>

---

From: "Joel M. Halpern" <[email-masked]>
Date: Sun, 26 Jul 2020 18:22:27 -0400

I was carefully not talking about discussion among nomcom participants.
As far as I can tell, nomcom chairs, nomcom members, and the community 
have a wide range of views on the degree to which liaisons should 
participate in such discussion.

While I tend towards your description below, I wanted to separate the 
voting, and make clear that the voting rules do matter.

Yours,
Joel

---

From: Brian E Carpenter <[email-masked]>
Date: Mon, 27 Jul 2020 10:38:38 +1200

Strongly agree with Joel and John.

The aspect that's tricky is if a liaison or advisor wishes to exercise
their right (duty?) as an IETF community member to give feedback on the
published nominees. Are they allowed to do so, and if so, should it be
completely anonymised?

Regards
   Brian

---

From: Brian E Carpenter <[email-masked]>
Date: Mon, 27 Jul 2020 10:40:55 +1200

On 27-Jul-20 06:40, Michael Richardson wrote:
...
> But, as Joel said above: it is important that meeting times are when everyone

Seriously? A formal vote on meeting times? A doodle poll, sure. But not a
formal vote.

   Brian

---

From: Joel Halpern <[email-masked]>
Date: Sun, 26 Jul 2020 19:02:39 -0400

The policy on most nomcoms on which I have information is that liaison 
feedback on nominees and such should go via the tool.  Whether it was 
anonymized or not was up to the liaison.

Yours,
Joel

---

From: Michael Richardson <[email-masked]>
Date: Sun, 26 Jul 2020 20:26:32 -0400

> Seriously? A formal vote on meeting times? A doodle poll, sure. But not a

So, let me explain my experience a different way.
If we can get to consensus without a formal vote, then we don't need a vote.

Fundamentally, the advisors get to vote on the meeting times, so their
input matters to forming the consensus.  Otherwise, we don't need to consult them.

I don't think any nomcom I was involved with *formally* voted on meeting times.

---

From: John C Klensin <[email-masked]>
Date: Sun, 26 Jul 2020 22:03:48 -0400

--On Sunday, July 26, 2020 18:22 -0400 "Joel M. Halpern"
<[email-masked]> wrote:

> As far as I can tell, nomcom chairs, nomcom members, and the
> community have a wide range of views on the degree to which
> liaisons should participate in such discussion.
> 
> While I tend towards your description below, I wanted to
> separate the voting, and make clear that the voting rules do
> matter.

Well, I'm glad I spoke up, because we actually may disagree.  In
an environment where there are only 10 nominal Nomcom members
who vote on candidates and the intent is to do things by
consensus rather than by, e.g., narrow majorities, the influence
of someone recognized, by virtue of being appointed as a liaison
by a relevant leadership body, as being more knowledgeable than
the typical Nomcom member and who then strongly supports or
argues for rejection of particular candidates is likely to be
important all out of proportion than the effect of an extra vote
or two.

And...

--On Monday, July 27, 2020 10:38 +1200 Brian E Carpenter
<[email-masked]> wrote:

> The aspect that's tricky is if a liaison or advisor wishes to
> exercise their right (duty?) as an IETF community member to
> give feedback on the published nominees. Are they allowed to
> do so, and if so, should it be completely anonymised?

For the reasons above, I think either it has to be completely
anonymized (sic) or, just as someone who volunteers as a voting
member gives up the opportunity to be selected for a
Nomcom-appointed position, someone who volunteers to be a
liaison should be treated as having given their rights to make
comments on individual candidates.

Back when we anticipated 10 voting members and a couple of
liaisons (see RFC 2027 which, incidentally, clearly puts
"non-voting" with "liaison") and also anticipated that voting
Nomcom members would be sufficiently familiar with how the IETF
works and the people who were, or might be candidates for,
leadership positions, to not depend significantly on
questionnaires and external advice, none of this made a much
difference.  Now, however...

   best,
    john

   john

---

From: Joel Halpern <[email-masked]>
Date: Sun, 26 Jul 2020 22:10:34 -0400

The discussion aspects leave me very torn.  I can see both sides.  (I 
will say that when I was a nomcom chair many years ago, I interpretted 
the rules to permit very little discussion by liaisons.)

In terms of providing feedback, I would hate to require liaisons to 
anonymize their feedback.  They should be able to use the tool to 
provide feedback just as much as other community members (including 
incumbents, candidates, and those prohibited from serving on nomcom by 
any of a number of conflicts.)  It may be that your wording on this 
topic intended to allow that, but you seemed to be saying something more 
strict.

Yours,
Joel

---

From: John C Klensin <[email-masked]>
Date: Sun, 26 Jul 2020 23:41:33 -0400

--On Sunday, July 26, 2020 22:10 -0400 Joel Halpern
<[email-masked]> wrote:

> The discussion aspects leave me very torn.  I can see both
> sides.  (I will say that when I was a nomcom chair many years
> ago, I interpretted the rules to permit very little discussion
> by liaisons.)
> 
> In terms of providing feedback, I would hate to require
> liaisons to anonymize their feedback.  They should be able to
> use the tool to provide feedback just as much as other
> community members (including incumbents, candidates, and those
> prohibited from serving on nomcom by any of a number of
> conflicts.)  It may be that your wording on this topic
> intended to allow that, but you seemed to be saying something
> more strict.

On the one hand, I don't particularly like anonymous comments
--the voting Nomcom members should know who they are dealing
with and, if appropriate, be able to assess credibility.  On the
other, I continue to be concerned about liaisons or advisory
exerting more influence than they would have if they were "other
community members".  The reality is that, as soon as they move
away from the role of silent observers whose only job is to
report back to the relevant bodies on the Nomcom's processes,
etc., they are necessarily participating in the Nomcom as the
representatives of the bodies that appointed them.  To get back
to my first comments in this thread, that means that, in most
cases, they will represent a bias toward the status quo and
maybe toward returning incumbents.  I continue to see that as a
risk if they start influencing the choice of candidates for
particular positions.

    john

---

From: "Eric Vyncke (evyncke)" <[email-masked]>
Date: Mon, 27 Jul 2020 10:11:31 +0000

For what it is worth...

Last year, I was the IESG liaison to NomCom and indeed I provided feedback with the tool (like mostly everyone) on some nominees (being already IESG members or potential new ones). Providing feedback is a "moral duty" for each community members IMHO. My feedback was not anonymous as I stand by my feedback and I also prefer to provide enough information to NomCom voting members to remove any potential bias of mine.

-éric

-----Original Message-----
From: ietf <[email-masked]> on behalf of Joel Halpern <[email-masked]>
Date: Monday, 27 July 2020 at 01:03
To: Brian E Carpenter <[email-masked]>, John C Klensin <[email-masked]>, Michael Richardson <[email-masked]>, "STARK, BARBARA H" <[email-masked]>
Cc: "[email-masked]'" <[email-masked]>
Subject: Re: Follow-up from NomCom advisor discussion

    Yours,
    Joel